Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class NavigationFilter.FilterBypass

    java.lang.Object
      javax.swing.text.NavigationFilter.FilterBypass

Enclosing class:
  NavigationFilter

    public abstract static class NavigationFilter.FilterBypass

extends Object

Used as a way to circumvent calling back into the caret to position the cursor. Caret implementations that wish to support a NavigationFilter must provide an implementation that will not callback into the NavigationFilter.

Since:
  1.4

Constructor Summary
`NavigationFilter.FilterBypass()`

Method Summary
`abstract Caret` | `getCaret()` Returns the Caret that is changing.
`abstract void` | `moveDot(int dot, Position.Bias bias)` Moves the caret location, bypassing the NavigationFilter.
`abstract void` | `setDot(int dot, Position.Bias bias)` Sets the caret location, bypassing the NavigationFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationFilter.FilterBypass

    public NavigationFilter.FilterBypass()

Method Detail

### getCaret

    public abstract Caret getCaret()

  Returns the Caret that is changing.

  Returns:
    Caret that is changing

### setDot

    public abstract void setDot(int dot,
                                Position.Bias bias)

  Sets the caret location, bypassing the NavigationFilter.

  Parameters:
    `dot` - the position >= 0
    `bias` - Bias to place the dot at

### moveDot

    public abstract void moveDot(int dot,
                                 Position.Bias bias)

  Moves the caret location, bypassing the NavigationFilter.

  Parameters:
    `dot` - the position >= 0
    `bias` - Bias for new location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.